%define	name	crystalspace
%define	version	0.97
%define	release	0.cvs20040615.2mdk

Summary:	CrystalSpace free 3d engine
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Libraries
License:	LGPL
Source:		cs-2004-06-15.083704.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://crystal.sourceforge.net/
BuildRequires:	lib3ds-devel MesaGLU-devel libogg-devel libmikmod-devel cal3d-devel
BuildRequires:	jpeg-devel zlib-devel ode-devel png-devel openal-devel >= 0.0.6-5mdk
BuildRequires:	mng-devel arts-devel XFree86-devel nasm perl-devel
BuildRequires:	swig >= 1.3.14 bison >= 1.35 python-devel
# share the same 2 files
%description
Crystal Space is a free (LGPL) and portable 3D Development Kit
written in C++. It supports: true six degree's of freedom,
colored lighting, mipmapping, portals, mirrors, alpha transparency,
reflective surfaces, 3D sprites (frame based or with skeletal animation),
procedural textures, radiosity, particle systems, halos, volumetric fog,
scripting (using Python or other languages), 8-bit, 16-bit, and 32-bit
display support, OpenGL and software renderering, font support,
hierarchical transformations, etc.

%package	devel
Group:		Development/C
Summary:	Development headers and libraries for %{name}
Requires:	%{name}

%description	devel
Development headers and libraries for %{name}

%package	doc
Summary:	Crystalspace documentation
Group:		Development/C
License:	LGPL
Requires:	%{name} = %{version}
Conflicts:      freetds-devel

%description	doc
Crystalspace documentation

%package	demos
Summary:	Crystalspace demos
Group:		Toys
License:	LGPL
Requires:	%{name} = %{version}

%description	demos
Crystalspace demos.

%prep
%setup -q -n CS

%build
%configure2_5x	--with-mesa \
		--with-x \
		--disable-cpu-specific-instructions \
		--enable-linux-joystick \
		--enable-optimize \
		--disable-debug \
		--with-pic \
		--with-gnu-ld \
		--enable-mode=optimize \
		--enable-plugins
#make INSTALL_DIR=%{csroot} all CFLAGS.SYSTEM="$RPM_OPT_FLAGS -fPIC -Wno-unknown-pragmas"
jam -d2 %_smp_mflags -s INSTALL_DIR=%{csroot} -s CFLAGS.SYSTEM="$RPM_OPT_FLAGS -fPIC -Wno-unknown-pragmas"

%install
%{__rm} -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT jam -d2 install

%{__install} -m644 mk/autoconf/crystal.m4 -D $RPM_BUILD_ROOT%{_datadir}/aclocal/crystal.m4

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%dir %{_libdir}/crystal
%{_libdir}/crystal/*.csplugin
%{_libdir}/crystal/*.so
%{_datadir}/crystal
%dir %{_sysconfdir}/crystal
%config(noreplace) %{_sysconfdir}/crystal/*

%files devel
%defattr(-,root,root,755)
%{_libdir}/*.a
%{_includedir}/*
%{_bindir}/python.cex
%{_datadir}/aclocal/crystal.m4
%{_bindir}/cs-config

%files doc
%defattr(-,root,root,755)
%doc %{_docdir}/crystal

%files demos
%defattr(-,root,root,755)
%{_bindir}/*
%exclude %{_bindir}/python.cex
%exclude %{_bindir}/cs-config

%changelog
* Sun Jul 18 2004 Michael Scherer <misc@mandrake.org> 0.97-0.cvs20040615.2mdk 
- add the proper Conflict

* Tue Jun 15 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.97-0.cvs20040615.1mdk
- new cvs snapshot
- switch to jam
- clean up files

* Tue Feb 10 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.97-0.cvs20040210.1mdk
- new cvs snapshot

* Sat Jan 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.97-0.cvs20040102.1mdk
- new cvs snapshot
- fix buildrequires (lib64..)

* Wed May 07 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.97-0.cvs20030507.2mdk
- fix problems with scripts that looks in %{csroot}/bin by making a symlink to /usr/bin

* Wed May 07 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.97-0.cvs20030507.1mdk
- initial mdk release, mind the ugly packaging..
